%define upstream_name    Math-PlanePath
%define upstream_version 123

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Libm)
BuildRequires: perl(Test)
BuildRequires: perl(constant) >= 1.20.0
BuildRequires: perl(constant::defer) >= 5.0.0
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-Math-PlanePath < 120.0.0-2

%description
This is the base class for some mathematical paths which map an integer
position '$n' to and from coordinates '$x,$y' in the 2D plane.

The current classes include the following. The intention is that any
'Math::PlanePath::Something' is a PlanePath, and supporting base classes or
related things are further down like 'Math::PlanePath::Base::Xyzzy'.

    SquareSpiral           four-sided spiral
    PyramidSpiral          square base pyramid
    TriangleSpiral         equilateral triangle spiral
    TriangleSpiralSkewed   equilateral skewed for compactness
    DiamondSpiral          four-sided spiral, looping faster
    PentSpiral             five-sided spiral
    PentSpiralSkewed       five-sided spiral, compact
    HexSpiral              six-sided spiral
    HexSpiralSkewed        six-sided spiral skewed for compactness
    HeptSpiralSkewed       seven-sided spiral, compact
    AnvilSpiral            anvil shape
    OctagramSpiral         eight pointed star
    KnightSpiral           an infinite knight's tour
    CretanLabyrinth        7-circuit extended infinitely

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 123.0.0-2pclos2017
- rebuild against updates

